/* *************************
 MAIN
************************* */
body {
    margin-bottom: 0;
}

main#main {
    flex: 1;
}

#content {
    margin-top: 16px;
}

/* *************************
 CUSTOM BUTTONS 
************************* */
.btn-outline-dark {
    border-color: var(--main-colour);
    color: var(--main-colour);
}

.btn-outline-dark:hover {
    background-color: var(--main-colour);
}

/* *************************
 FOOTER 
************************* */
footer.d-flex.flex-wrap {
    margin-top: 20px !important;
    margin-bottom: 0px !important;
}

#footer-logo {
    max-height: 96px;
    margin: 8px;
    max-width: 100%;
}

/* *************************
 NAVBAR 
************************* */
@media only screen and (min-width: 992px) {
    .nav-item.separator a {
        border-left: 2px solid rgba(255, 255, 255, 0.55);
        padding: 4px 4px 4px 16px !important;
        margin: 4px 4px 4px 8px;
    }
}

@media only screen and (max-width: 992px) {
    .nav-item.separator a {
        border-top: 2px solid rgba(255, 255, 255, 0.55);
    }
}

.navbar-brand {
    font-size: 2em;
}

.navbar {
    padding: 0;
    background-color: var(--main-colour) !important;
}

/* *************************
 CARDS 
************************* */
#content :last-child:not(.card):not(#cards-row):not(.carousel-item img) {
    margin-bottom: 0 !important;
}

.card {
    margin-bottom: 16px;
}

#cards-row {
    margin-bottom: -16px;
}

/* *************************
 CONNECTOMEDB TABLE 
************************* */
.connectomeDB-table th {
    text-align: center;
}
.connectomeDB-table th, .connectomeDB-table td {
    vertical-align: middle;
}
.connectomeDB-table th:not(:first-child), .connectomeDB-table td {
    border-left: 1px solid rgba(0,0,0,0.2);
}

/* *************************
 MISC 
************************* */
/* fix scroll bar showing on some screens */
html {
    overflow-y: scroll;
}

.wrapper {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.blockquote-footer {
    display: block;
}

.blockquote-footer.author {
    margin-top: 4px;
}

/* collapseable author affiliations */
li.dollar::marker {
    content: "$. ";
}

li.asterix::marker {
    content: "*. ";
}

.btn.collapse-btn {
    width: max-content;
    height: min-content;
    padding-left: 8px;
}

@media only screen and (max-width: 768px) {
    .btn.collapse-btn {
        margin-top: 8px;
    }
    #collapse-btn-div {
        width: 100%;
    }
}